import type { _NSObject } from "../Foundation/NSObject.js";
import type { _LAEnvironmentObserver } from "./LAEnvironmentObserver.js";
import type { _LAEnvironmentState } from "./LAEnvironmentState.js";
export declare class _LAEnvironment extends _NSObject {
    static alloc(): _LAEnvironment;
    static new(): _LAEnvironment;
    init(): _LAEnvironment;
    /** Environment of the current user. */
    static currentUser(): _LAEnvironment;
    /**
     * @brief Adds observer to monitor changes of the environment. @discussion The observer will be held weakly so its instance should be kept alive by the caller.
     */
    addObserver$(observer: _LAEnvironmentObserver): void;
    /**
     * @brief Removes the previously registered observer. @discussion If the observer is deallocated, it will be removed automatically.
     */
    removeObserver$(observer: _LAEnvironmentObserver): void;
    /** The environment state information. */
    state(): _LAEnvironmentState;
}
